curl --request POST \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/draft/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'config=<string>' \
--form file='@example-file'{
"duplicateRows": 123,
"errors": [
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
],
"rowLimitExceeded": true,
"rowsImported": 123
}CSVファイルの内容を既存のHubDBテーブルにインポートします。データは必ずテーブルの下書きバージョンにインポートされます。これらの変更を公開済みバージョンにプッシュするには、「/publish」エンドポイントを使用してください。 このエンドポイントでは、マルチパートのPOSTリクエストが使用されます。最初のパートはインポートのJSON形式のオプションのセットであり、これは名前を「config」として指定できます。2番目のパートはインポートするCSVファイルであり、これは名前を「file」として指定できます。[概要セクション(https://developers.hubspot.com/docs/api/cms/hubdb#importing-tables)を参照して、インポートのJSON形式のオプションの詳細や形式をご確認ください。
curl --request POST \
--url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/draft/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'config=<string>' \
--form file='@example-file'{
"duplicateRows": 123,
"errors": [
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
],
"rowLimitExceeded": true,
"rowsImported": 123
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
HubDBテーブルのIDまたは名前。